Debian Bug report logs - #375475
Provide an udeb needed for g-i

version graph

Package: ttf-indic-fonts; Maintainer for ttf-indic-fonts is Debian-IN Team <debian-in-workers@lists.alioth.debian.org>; Source for ttf-indic-fonts is src:fonts-indic.

Reported by: Davide Viti <zinosat@tiscali.it>

Date: Mon, 26 Jun 2006 09:18:12 UTC

Severity: normal

Tags: d-i, patch

Found in version ttf-indic-fonts/1:0.4.7

Fixed in version ttf-indic-fonts/1:0.4.7.4

Done: Davide Viti <zinosat@tiscali.it>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian-IN Team <debian-in-workers@lists.alioth.debian.org>:
Bug#375475; Package ttf-indic-fonts. Full text and rfc822 format available.

Acknowledgement sent to Davide Viti <zinosat@tiscali.it>:
New Bug report received and forwarded. Copy sent to Debian-IN Team <debian-in-workers@lists.alioth.debian.org>.

Your message specified a Severity: in the pseudo-header, but the severity value whishlist was not recognised. The default severity normal is being used instead. The recognised values are: critical, grave, serious, important, normal, minor, wishlist, fixed.

Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Davide Viti <zinosat@tiscali.it>
To: submit@bugs.debian.org
Subject: Provide an udeb needed for g-i
Date: Mon, 26 Jun 2006 10:58:49 +0200 (CEST)
Package: ttf-indic-fonts
Version: 1:0.4.7
Severity: whishlist
Tags: d-i, patch

The patch below can be used to create an udeb containing Mukti fonts,
needed to render Bengali text inside the graphical installer. ATM
ttf-freefont is used but quality seems to be much worse (see [1]).

Thanx in advance,

Davide

[1] http://lists.debian.org/debian-boot/2006/06/msg01219.html


diff -ruN old/ttf-indic-fonts-0.4.7/debian/control new/ttf-indic-fonts-0.4.7
/debian/control
--- old/ttf-indic-fonts-0.4.7/debian/control	2006-01-16 00:51:13.000000000 
+0100
+++ new/ttf-indic-fonts-0.4.7/debian/control	2006-06-26 08:20:51.000000000 
+0200
@@ -23,6 +23,17 @@
  This is a set of TrueType and OpenType fonts released under the GNU General
  Public License for the Bengali Language.
 
+Package: ttf-bengali-udeb
+XC-Package-Type: udeb
+Section: debian-installer
+Architecture: all
+Description: Free TrueType fonts for the Bengali language
+ This is a set of TrueType and OpenType fonts released under the GNU General
+ Public License for the Bengali Language.
+ .
+ This package provides fonts to be used with the gtk frontend of
+ debian-installer.
+
 Package: ttf-devanagari-fonts
 Architecture: all
 Depends: ${misc:depends}, defoma
diff -ruN old/ttf-indic-fonts-0.4.7/debian/rules new/ttf-indic-fonts-0.4.7
/debian/rules
--- old/ttf-indic-fonts-0.4.7/debian/rules	2006-01-16 00:51:13.000000000 +0100
+++ new/ttf-indic-fonts-0.4.7/debian/rules	2006-06-26 08:33:27.000000000 +0200
@@ -26,6 +26,7 @@
 	dh_clean -k
 	dh_install -pttf-devanagari-fonts ./ttf-devanagari/*.ttf 
usr/share/fonts/truetype/ttf-devanagari-fonts/
 	dh_install -pttf-bengali-fonts ./ttf-bengali/*.ttf 
usr/share/fonts/truetype/ttf-bengali-fonts/
+	dh_install -pttf-bengali-udeb -XDEBIAN ./ttf-bengali/Mukti*.ttf 
usr/share/fonts/truetype/ttf-bengali-fonts/
 	dh_install -pttf-tamil-fonts ./ttf-tamil/*.ttf usr/share/fonts/truetype/ttf-
tamil-fonts/
 	dh_install -pttf-malayalam-fonts ./ttf-malayalam/*.ttf 
usr/share/fonts/truetype/ttf-malayalam-fonts/
 	dh_install -pttf-gujarati-fonts ./ttf-gujarati/*.ttf 
usr/share/fonts/truetype/ttf-gujarati-fonts/




		
Milioni di oggetti, impossibile non trovare quello che cerchi.
Dallo spillo all'elefante, non ti stupire.
Sei su eBay!

http://adfarm.mediaplex.com/ad/ck/724-7199-4110-179?id=2 
 
	



Information forwarded to debian-bugs-dist@lists.debian.org, Debian-IN Team <debian-in-workers@lists.alioth.debian.org>:
Bug#375475; Package ttf-indic-fonts. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian-IN Team <debian-in-workers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 375475@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Davide Viti <zinosat@tiscali.it>, 375475@bugs.debian.org
Subject: Re: [Debian-in-workers] Bug#375475: Provide an udeb needed for g-i
Date: Mon, 26 Jun 2006 18:23:38 +0200
[Message part 1 (text/plain, inline)]
Quoting Davide Viti (zinosat@tiscali.it):
> Package: ttf-indic-fonts
> Version: 1:0.4.7
> Severity: whishlist
> Tags: d-i, patch
> 
> The patch below can be used to create an udeb containing Mukti fonts,
> needed to render Bengali text inside the graphical installer. ATM
> ttf-freefont is used but quality seems to be much worse (see [1]).


Hmmm, we currently have already 0.4.7.1 waiting in NEW because of the
new ttf-tamil-fonts-udeb package. So, is is better to wait for it to
exit NEW before creating a new package.....or just rebuild one and
reset the NEW counter, I don't know.

Something else: when this new package enters unstable, I will have to
strip down the Bengali glyphs from the ttf-freefont-udeb package so
that Bengali is really rendered with Mukti.

Maybe create a BR for ttf-freefont and block it with that one bug?


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian-IN Team <debian-in-workers@lists.alioth.debian.org>:
Bug#375475; Package ttf-indic-fonts. Full text and rfc822 format available.

Acknowledgement sent to Davide Viti <zinosat@tiscali.it>:
Extra info received and forwarded to list. Copy sent to Debian-IN Team <debian-in-workers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 375475@bugs.debian.org (full text, mbox):

From: Davide Viti <zinosat@tiscali.it>
To: Christian Perrier <bubulle@debian.org>
Cc: 375475@bugs.debian.org
Subject: Re: [Debian-in-workers] Bug#375475: Provide an udeb needed for g-i
Date: Mon, 26 Jun 2006 22:59:30 +0200
[Message part 1 (text/plain, inline)]
On Mon, Jun 26, 2006 at 06:23:38PM +0200, Christian Perrier wrote:
> Hmmm, we currently have already 0.4.7.1 waiting in NEW because of the
> new ttf-tamil-fonts-udeb package. So, is is better to wait for it to
> exit NEW before creating a new package.....or just rebuild one and
> reset the NEW counter, I don't know.
> 
> Something else: when this new package enters unstable, I will have to
> strip down the Bengali glyphs from the ttf-freefont-udeb package so
> that Bengali is really rendered with Mukti.
> 
> Maybe create a BR for ttf-freefont and block it with that one bug?
> 
> 

actually my idea was to get what we curerently have working properly, which
means fixing freefont (sorry Christian, I guess we'll need another upload).
In the meanwhile we can wait for the udeb containing mukti which will give us
the freedom to switch g-i to use it.
The ttf file is pretty big, so I'll also try to see if it's possible to
reduce its size.

this was my short time plan.

Davide
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian-IN Team <debian-in-workers@lists.alioth.debian.org>:
Bug#375475; Package ttf-indic-fonts. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian-IN Team <debian-in-workers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 375475@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Davide Viti <zinosat@tiscali.it>
Cc: 375475@bugs.debian.org
Subject: Re: [Debian-in-workers] Bug#375475: Provide an udeb needed for g-i
Date: Mon, 26 Jun 2006 23:06:30 +0200
[Message part 1 (text/plain, inline)]
> actually my idea was to get what we curerently have working properly, which
> means fixing freefont (sorry Christian, I guess we'll need another upload).
> In the meanwhile we can wait for the udeb containing mukti which will give us
> the freedom to switch g-i to use it.
> The ttf file is pretty big, so I'll also try to see if it's possible to
> reduce its size.


Hmmm, if I strip freefont from bengali glyphs, *what* will provide
then to g-i while we don't have the udeb with MuktiĀ ?

 


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian-IN Team <debian-in-workers@lists.alioth.debian.org>:
Bug#375475; Package ttf-indic-fonts. Full text and rfc822 format available.

Acknowledgement sent to Davide Viti <zinosat@tiscali.it>:
Extra info received and forwarded to list. Copy sent to Debian-IN Team <debian-in-workers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #25 received at 375475@bugs.debian.org (full text, mbox):

From: Davide Viti <zinosat@tiscali.it>
To: Christian Perrier <bubulle@debian.org>
Cc: 375475@bugs.debian.org
Subject: Re: [Debian-in-workers] Bug#375475: Provide an udeb needed for g-i
Date: Tue, 27 Jun 2006 01:13:00 +0200
[Message part 1 (text/plain, inline)]
On Mon, Jun 26, 2006 at 11:06:30PM +0200, Christian Perrier wrote:
> > actually my idea was to get what we curerently have working properly, which
> > means fixing freefont (sorry Christian, I guess we'll need another upload).
> > In the meanwhile we can wait for the udeb containing mukti which will give us
> > the freedom to switch g-i to use it.
> > The ttf file is pretty big, so I'll also try to see if it's possible to
> > reduce its size.
> 
> 
> Hmmm, if I strip freefont from bengali glyphs, *what* will provide
> then to g-i while we don't have the udeb with MuktiĀ ?

I meant we should probably keep the Bengali glyphs in freefont.
I guess the current problem with Bengali discussed in [1]
can be avoided by removing the following from scripts/FreeSans-strip

if ! echo $1 | grep -q Bold; then
	ranges="$ranges 65536:66002"   # bn_* stuff ???
fi

I wanted to make sure it is the case before filing a bug

Ciao,
Davide


[1] http://lists.debian.org/debian-boot/2006/06/msg01181.html
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian-IN Team <debian-in-workers@lists.alioth.debian.org>:
Bug#375475; Package ttf-indic-fonts. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian-IN Team <debian-in-workers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #30 received at 375475@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Soumyadip Modak <soumyadip.modak@gmail.com>
Cc: "Jaldhar H. Vyas" <jaldhar@debian.org>, zinosat@tiscali.it, 375475@bugs.debian.org
Subject: Re: Is a separate udeb needed for g-i ?
Date: Tue, 2 Jan 2007 10:01:15 +0100
[Message part 1 (text/plain, inline)]
Quoting Soumyadip Modak (soumyadip.modak@gmail.com):
> I was wondering about bug #376475. Can you have a look at the present
> netinst images and tell me if any Indic language has any problems in
> rendering ? I'm downloading a netinst version too, but it'll take some time
> for me


(adding Davide and the bug report itself to the CC)

Well, the situation about g-i is the following: most Indic languages
(including Bengali) are rendred with ttf-freefont currently.

This seems OK. However, Jamil already mentioned that the rendering for
Bengali could be better, IIRC, but more because of a font *size*
problem than a font *shape* problem.

I bet that, in the future, we will try to replace freefont for Indic
languages by something else (we already use a dedicated udeb for Tamil
and Malayalam).

That "something" could either be some fonts from ttf-indic-fonts (for
instance Mukti for Bengali script) or DejaVu as soon as DejaVu
supports the relevant scripts (which it doesn't yet).

So, about #375475 (not 376475), I'm not sure whether the BR is
relevant anymore. Given that D-I currently llives with Freefont, it
would maybe be better to close it now...and open a new one when we
*really* will need the udeb.

Davide?



[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian-IN Team <debian-in-workers@lists.alioth.debian.org>:
Bug#375475; Package ttf-indic-fonts. Full text and rfc822 format available.

Acknowledgement sent to Davide Viti <zinosat@tiscali.it>:
Extra info received and forwarded to list. Copy sent to Debian-IN Team <debian-in-workers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #35 received at 375475@bugs.debian.org (full text, mbox):

From: Davide Viti <zinosat@tiscali.it>
To: Christian Perrier <bubulle@debian.org>
Cc: Soumyadip Modak <soumyadip.modak@gmail.com>, "Jaldhar H. Vyas" <jaldhar@debian.org>, 375475@bugs.debian.org
Subject: Re: Is a separate udeb needed for g-i ?
Date: Tue, 2 Jan 2007 18:38:00 +0100
[Message part 1 (text/plain, inline)]
On Tue, Jan 02, 2007 at 10:01:15AM +0100, Christian Perrier wrote:

> Well, the situation about g-i is the following: most Indic languages
> (including Bengali) are rendred with ttf-freefont currently.

right

 
> This seems OK. However, Jamil already mentioned that the rendering for
> Bengali could be better, IIRC, but more because of a font *size*
> problem than a font *shape* problem.
>

yes, we need to use a bigger fontsize at least for Bengali
  
> I bet that, in the future, we will try to replace freefont for Indic
> languages by something else (we already use a dedicated udeb for Tamil
> and Malayalam).
> 
> That "something" could either be some fonts from ttf-indic-fonts (for
> instance Mukti for Bengali script) or DejaVu as soon as DejaVu
> supports the relevant scripts (which it doesn't yet).
> 
> So, about #375475 (not 376475), I'm not sure whether the BR is
> relevant anymore. Given that D-I currently llives with Freefont, it
> would maybe be better to close it now...and open a new one when we
> *really* will need the udeb.
> 
> Davide?

that's a good question and I stumbled on it a few days ago when Frans
asked me to clean up a little bit the situation with unused udebs: I
found that bugreport which I filed a while ago.

I think this is the story: at the time the BR was filed we had
freefont ready to be used and Mukti had to be packaged, so we started
using freefont and the bugreport was just left open. I found [1] and [2]
where Jamil suggests to use Mukti... what shall we do ?

regards,
Davide

[1] http://lists.debian.org/debian-i18n/2006/06/msg00214.html
[2] http://lists.debian.org/debian-i18n/2006/06/msg00217.html


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian-IN Team <debian-in-workers@lists.alioth.debian.org>:
Bug#375475; Package ttf-indic-fonts. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian-IN Team <debian-in-workers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #40 received at 375475@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Davide Viti <zinosat@tiscali.it>
Cc: Soumyadip Modak <soumyadip.modak@gmail.com>, "Jaldhar H. Vyas" <jaldhar@debian.org>, 375475@bugs.debian.org
Subject: Re: Is a separate udeb needed for g-i ?
Date: Tue, 2 Jan 2007 18:56:08 +0100
[Message part 1 (text/plain, inline)]
> I think this is the story: at the time the BR was filed we had
> freefont ready to be used and Mukti had to be packaged, so we started
> using freefont and the bugreport was just left open. I found [1] and [2]
> where Jamil suggests to use Mukti... what shall we do ?
> 
> regards,
> Davide
> 
> [1] http://lists.debian.org/debian-i18n/2006/06/msg00214.html
> [2] http://lists.debian.org/debian-i18n/2006/06/msg00217.html


Since Jamil sent these messages, he confirmed numerous times that
Bengali is OK with freefont, so unless he objects, I think we should
close #374475


[signature.asc (application/pgp-signature, inline)]

Reply sent to Davide Viti <zinosat@tiscali.it>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Davide Viti <zinosat@tiscali.it>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #45 received at 375475-done@bugs.debian.org (full text, mbox):

From: Davide Viti <zinosat@tiscali.it>
To: 375475-done@bugs.debian.org
Subject: [ttf-indic-fonts] close bug
Date: Tue, 2 Jan 2007 19:13:41 +0100
[Message part 1 (text/plain, inline)]
Package: ttf-indic-fonts
Version: 1:0.4.7.4

freefont is fine for rendering Bengali text in g-i, thus closing the BR.


regards,
Davide
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian-IN Team <debian-in-workers@lists.alioth.debian.org>:
Bug#375475; Package ttf-indic-fonts. Full text and rfc822 format available.

Acknowledgement sent to "Jamil Ahmed" <itsjamil@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian-IN Team <debian-in-workers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #50 received at 375475@bugs.debian.org (full text, mbox):

From: "Jamil Ahmed" <itsjamil@gmail.com>
To: "Christian Perrier" <bubulle@debian.org>, 375475@bugs.debian.org
Cc: "Davide Viti" <zinosat@tiscali.it>, "Jaldhar H. Vyas" <jaldhar@debian.org>
Subject: Re: [Debian-in-workers] Bug#375475: Is a separate udeb needed for g-i ?
Date: Wed, 3 Jan 2007 16:32:48 +0600
On 1/2/07, Christian Perrier <bubulle@debian.org> wrote:
>
> > I think this is the story: at the time the BR was filed we had
> > freefont ready to be used and Mukti had to be packaged, so we started
> > using freefont and the bugreport was just left open. I found [1] and [2]
> > where Jamil suggests to use Mukti... what shall we do ?
> >
> > regards,
> > Davide
> >
> > [1] http://lists.debian.org/debian-i18n/2006/06/msg00214.html
> > [2] http://lists.debian.org/debian-i18n/2006/06/msg00217.html
>
>
> Since Jamil sent these messages, he confirmed numerous times that
> Bengali is OK with freefont, so unless he objects, I think we should
> close #374475

Yes, Bengali is OK with freefont.

Regards,
`Jamil



Information forwarded to debian-bugs-dist@lists.debian.org, Debian-IN Team <debian-in-workers@lists.alioth.debian.org>:
Bug#375475; Package ttf-indic-fonts. Full text and rfc822 format available.

Acknowledgement sent to "Jamil Ahmed" <itsjamil@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian-IN Team <debian-in-workers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #55 received at 375475@bugs.debian.org (full text, mbox):

From: "Jamil Ahmed" <itsjamil@gmail.com>
To: "Davide Viti" <zinosat@tiscali.it>, 375475@bugs.debian.org
Cc: "Christian Perrier" <bubulle@debian.org>, "Jaldhar H. Vyas" <jaldhar@debian.org>
Subject: Re: [Debian-in-workers] Bug#375475: Is a separate udeb needed for g-i ?
Date: Wed, 3 Jan 2007 16:36:45 +0600
On 1/2/07, Davide Viti <zinosat@tiscali.it> wrote:
> On Tue, Jan 02, 2007 at 10:01:15AM +0100, Christian Perrier wrote:
>
> > This seems OK. However, Jamil already mentioned that the rendering for
> > Bengali could be better, IIRC, but more because of a font *size*
> > problem than a font *shape* problem.
> >
>
> yes, we need to use a bigger fontsize at least for Bengali

Can't It be done with existing freefont?

Thanks,
`Jamil



Message #56 received at 375475-close@bugs.debian.org (full text, mbox):

From: "Soumyadip Modak" <soumyadip.modak@gmail.com>
To: 375475-close@bugs.debian.org
Subject: bug close
Date: Wed, 10 Jan 2007 23:56:38 +0530
[Message part 1 (text/plain, inline)]
Close bug, udeb not needed immediately

-- 
Soumyadip Modak
soumyadip.modak@gmail.com
soumyadip@ubuntu-in.org
http://soumyadip.freemind.in/blog
[Message part 2 (text/html, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 14:20:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:38:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.